XPressME Integration Kit

フォーラム

Re: Ver2.4.6へアップデート後のトラブル

#3419
toemon
キーマスター

IEのことをすっかり忘れていました。

チェンジセット805での修正ではユーザ周りの処理が不完全なものとなり、

Xoops+Xpress+Buddypressで発生したような、ユーザ周りのプラグイン等で不具合が発生する可能性があります。

そもそも、「wordpress3.4にアップグレード後のpluggable.php」の対応で、

その場しのぎでis_user_logged_in()をオーバーライドしたのがまずかったようです。WordPress3.4では本来、ゲストであっても、ユーザID 0 で WP_Userをインスタンスして於く必要があるみたいです。

それと、チケット #158のことをすっかり忘れていたんですよね orz

一応ですが現時点での解決策として、

チェンジセット 823で修正を行ってみました。

ちなみに、WordPress3.2からIE6はサポート外になりましたのでIE6にまつわる問題はのこるかもしれません。